HdfsConstants.RollingUpgradeAction (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: HdfsConstants, enum: RollingUpgradeAction

Package org.apache.hadoop.hdfs.protocol

# Enum Class HdfsConstants.RollingUpgradeAction

java.lang.Object
java.lang.Enum<HdfsConstants.RollingUpgradeAction>
org.apache.hadoop.hdfs.protocol.HdfsConstants.RollingUpgradeAction

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsConstants.RollingUpgradeAction>`, `Constable`

Enclosing class:
  HdfsConstants

public static enum HdfsConstants.RollingUpgradeAction extends Enum<HdfsConstants.RollingUpgradeAction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FINALIZE`
  `PREPARE`
  `QUERY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsConstants.RollingUpgradeAction`
  `fromString(String s)`
  Convert the given String to a RollingUpgradeAction.
  `static HdfsConstants.RollingUpgradeAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsConstants.RollingUpgradeAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### QUERY

    public static final HdfsConstants.RollingUpgradeAction QUERY

  - ### PREPARE

    public static final HdfsConstants.RollingUpgradeAction PREPARE

  - ### FINALIZE

    public static final HdfsConstants.RollingUpgradeAction FINALIZE

- ## Method Details

  - ### values

    public static HdfsConstants.RollingUpgradeAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsConstants.RollingUpgradeAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static HdfsConstants.RollingUpgradeAction fromString(String s)
    Convert the given String to a RollingUpgradeAction.